Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.fst
Class SumLatticeBeam.Factory

    java.lang.Object
      cc.mallet.fst.SumLatticeFactory
          cc.mallet.fst.SumLatticeBeam.Factory

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  SumLatticeBeam

    public static class SumLatticeBeam.Factory

extends SumLatticeFactory

See Also:
  Serialized Form

Constructor Summary
`SumLatticeBeam.Factory(int beamWidth)`

Method Summary
`SumLattice` | `newSumLattice(Transducer trans, Sequence input, Sequence output, Transducer.Incrementor incrementor, boolean saveXis, LabelAlphabet outputAlphabet)` Returns a SumLattice object to run forward-backward.

Methods inherited from class cc.mallet.fst.SumLatticeFactory
`newSumLattice, newSumLattice, newSumLattice, newSumLattice, newSumLattice, newSumLattice`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SumLatticeBeam.Factory

    public SumLatticeBeam.Factory(int beamWidth)

Method Detail

### newSumLattice

    public SumLattice newSumLattice(Transducer trans,
                                    Sequence input,
                                    Sequence output,
                                    Transducer.Incrementor incrementor,
                                    boolean saveXis,
                                    LabelAlphabet outputAlphabet)

  Description copied from class: `SumLatticeFactory`
  Returns a SumLattice object to run forward-backward.

  Specified by:
    `newSumLattice` in class `SumLatticeFactory`
  Parameters:
    `trans` - Transducer model
    `input` - Input sequence
    `output` - If output is null then the forward-backward is not constrained to match the output
    `incrementor` - If null then do not update the weights
    `saveXis` - If true then save the transition weights as well
    `outputAlphabet` - If outputAlphabet is non-null, this will create a LabelVector for each position in the output sequence indicating the probability distribution over possible outputs at that time index.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD